Package com.emc.documentum.rest.paging

# Class PagedQueryDataRetriever<T>

java.lang.Object
com.emc.documentum.rest.paging.PagedDataRetriever<T>
com.emc.documentum.rest.paging.PagedQueryDataRetriever<T>

Type Parameters:
  `T` - the data model class

public class PagedQueryDataRetriever<T> extends PagedDataRetriever<T>
The paged query data retriever provides users a simple implementation to execute a template query and convert the query result into the user defined data model class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PagedQueryDataRetriever(PagedQueryTemplate queryTemplate, int page, int itemsPerPage, boolean includeTotal, AttributeView attributeView, com.emc.documentum.rest.common.QueryObjectConverter<T> converter)`
  Constructor
  `PagedQueryDataRetriever(PagedQueryTemplate queryTemplate, int page, int itemsPerPage, boolean includeTotal, AttributeView attributeView, com.emc.documentum.rest.common.QueryResultConverter<T> converter)`
  Constructor

- ## Method Summary

  ### Methods inherited from class com.emc.documentum.rest.paging.PagedDataRetriever

  `get`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PagedQueryDataRetriever

    public PagedQueryDataRetriever(PagedQueryTemplate queryTemplate, int page, int itemsPerPage, boolean includeTotal, AttributeView attributeView, com.emc.documentum.rest.common.QueryObjectConverter<T> converter)
    Constructor
    Parameters:
      `converter` - the dfc typed object converter
      `queryTemplate` - the query template
      `page` - the page number
      `itemsPerPage` - the page size
      `includeTotal` - indicate whether to include total object count in the result
      `attributeView` - the attribute view for the result

  - ### PagedQueryDataRetriever

    public PagedQueryDataRetriever(PagedQueryTemplate queryTemplate, int page, int itemsPerPage, boolean includeTotal, AttributeView attributeView, com.emc.documentum.rest.common.QueryResultConverter<T> converter)
    Constructor
    Parameters:
      `converter` - the dfc typed object converter
      `queryTemplate` - the query template
      `page` - the page number
      `itemsPerPage` - the page size
      `includeTotal` - indicate whether to include total object count in the result
      `attributeView` - the attribute view for the result